Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rmatch Struct Reference

`#include <re.h>`

## Data Fields
struct re_registers | regs
struct rmatch_offset * | char_offset
int | char_offset_num_allocated

## Detailed Description

Definition at line 36 of file re.h.

## Field Documentation

## ◆ char_offset

struct rmatch_offset* rmatch::char_offset

Definition at line 39 of file re.h.

## ◆ char_offset_num_allocated

int rmatch::char_offset_num_allocated

Definition at line 40 of file re.h.

## ◆ regs

struct re_registers rmatch::regs

Definition at line 37 of file re.h.

The documentation for this struct was generated from the following file:

- include/ruby/re.h